SpriteLibrary

SpriteController IsKeyPressed Method (Keys)

Check to see if the given key is pressed. There is a small glitch with the key-pressed system. If the form loses focus, and someone releases a key, the key-up is never triggered. It is a good thing to ResetKeypressState() occasionally if you think your form may have lost focus.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public bool IsKeyPressed(
    	Keys k
    )

#### Parameters

k
  Type: System.Windows.Forms
  Keys
  The key to check to see if it is pressed

#### Return Value

Type: Boolean
True if the key is pressed, false if that key is not pressed
See Also

#### Reference

SpriteController Class
IsKeyPressed Overload
SpriteLibrary Namespace